org.eclipse.eef.properties.ui.api

## Interface IEEFSectionDescriptor

All Known Implementing Classes:
  AbstractEEFSectionDescriptor, EEFSectionDescriptor, LegacyPropertySectionItemDescriptor

    public interface IEEFSectionDescriptor

Represents a section descriptor on the tabbed property sections extensions.

This interface should not be extended or implemented. New instances should be created using `AbstractEEFSectionDescriptor`.

Since:
  1.6.0

### Field Summary

Fields
`static int` `ENABLES_FOR_ANY` If enabledFor is not specified in the descriptor, enable for any selection.
`static java.lang.String` `TOP` If afterSection is not specified in the descriptor, we default to be the top section.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `appliesTo(org.eclipse.ui.IWorkbenchPart part, org.eclipse.jface.viewers.ISelection selection)` Determines if this section applies to the selection.
`java.lang.String` `getAfterSection()` Get the section identifier below which this section is displayed.
`int` `getEnablesFor()` Get the value for section enablement which is a precise number of items selected.
`org.eclipse.jface.viewers.IFilter` `getFilter()` Get the section filter instance for this section.
`java.lang.String` `getId()` Get the unique identifier for the section.
`java.util.List<java.lang.String>` `getInputTypes()` Get the valid input types for this section.
`IEEFSection` `getSectionClass()` Get the class that implements this section.
`java.lang.String` `getTargetTab()` Get the target tab where this section will appear.

### Field Detail

#### ENABLES_FOR_ANY

    static final int ENABLES_FOR_ANY

If enabledFor is not specified in the descriptor, enable for any selection.

See Also:
  Constant Field Values

#### TOP

    static final java.lang.String TOP

If afterSection is not specified in the descriptor, we default to be the top section.

Since:
  3.4
See Also:
  Constant Field Values

### Method Detail

#### getId

    java.lang.String getId()

Get the unique identifier for the section.

Returns:
  the unique identifier for the section.

#### getFilter

    org.eclipse.jface.viewers.IFilter getFilter()

Get the section filter instance for this section. Return null if no filter for this section.

Returns:
  the section filter instance.

#### getInputTypes

    java.util.List<java.lang.String> getInputTypes()

Get the valid input types for this section.

Returns:
  the valid input types for this section.

#### getSectionClass

    IEEFSection getSectionClass()

Get the class that implements this section.

Returns:
  the class that implements this section.

#### getTargetTab

    java.lang.String getTargetTab()

Get the target tab where this section will appear.

Returns:
  the target tab where this section will appear.

#### getEnablesFor

    int getEnablesFor()

Get the value for section enablement which is a precise number of items selected. For example: enablesFor="1" enables the section only when one item is selected. If not specified, enable for any selection and return ENABLES_FOR_ANY.

Returns:
  the value for section enablement.

#### appliesTo

    boolean appliesTo(org.eclipse.ui.IWorkbenchPart part,
                      org.eclipse.jface.viewers.ISelection selection)

Determines if this section applies to the selection.

Parameters:
  `part` - the current workbench part.
  `selection` - the selection.
Returns:
  `true` if this section applies to the current selection.

#### getAfterSection

    java.lang.String getAfterSection()

Get the section identifier below which this section is displayed. `"top"` is returned if this section is the top most section or if there is one section in the tab.

Returns:
  the section identifier.